import { select, range } from 'd3';
import {fruitBowl }  from './fruitBowl';

const svg = select('svg');

const render = () => {
	fruitBowl(svg, { fruits, 
                   height: +svg.attr('height') })
  
};


const makeFruit = type => ({ type, 
                           id: Math.random()});

let fruits = range(5)
				.map(() => makeFruit('apple'));

render();

setTimeout(() => {
  
  fruits.pop();
  render(svg, { fruits });
  
}, 1000);

//Replacing an apple with a lemon

setTimeout(() => {
  
  fruits[2].type = 'lemon';
  render();
  
}, 2000);


setTimeout(() => {
  
  fruits = fruits.filter((d, i) => i !== 1);
  render(svg, { fruits });
  
}, 3000);




  